summaryrefslogtreecommitdiffstats
path: root/audio/connie
diff options
context:
space:
mode:
Diffstat (limited to 'audio/connie')
-rw-r--r--audio/connie/README22
-rw-r--r--audio/connie/connie.SlackBuild132
-rw-r--r--audio/connie/connie.desktop9
-rw-r--r--audio/connie/connie.info10
-rw-r--r--audio/connie/connie_qt4.desktop9
-rw-r--r--audio/connie/doinst.sh3
-rw-r--r--audio/connie/setcap.sh2
-rw-r--r--audio/connie/slack-desc19
8 files changed, 206 insertions, 0 deletions
diff --git a/audio/connie/README b/audio/connie/README
new file mode 100644
index 0000000000..e77f2c03c0
--- /dev/null
+++ b/audio/connie/README
@@ -0,0 +1,22 @@
+connie (organ synth for JACK)
+
+connie is a simple simulation of an electronic organ like e.g. Vox
+Continental, with JACK MIDI input and JACK audio output. Its design
+is lightweight, allowing it to be used on lower-end machines that
+might not be able to handle heavier synths (the author describes it as
+"eeepc-friendly").
+
+By default, connie is built with SSE math support. If installing on a
+system without SSE ("grep sse /proc/cpuinfo" will tell you), set SSE=no
+in the script's environment.
+
+connie's standard user interface is console-based. If you want to also
+build a simple Qt user interface, set QT=yes in the script's environment.
+The Qt version is called connie_qt4. It accepts the same arguments as
+the terminal version, but doesn't support any keyboard commands.
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/connie/connie.SlackBuild b/audio/connie/connie.SlackBuild
new file mode 100644
index 0000000000..391a1f8538
--- /dev/null
+++ b/audio/connie/connie.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/sh
+
+# Slackware build script for connie
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=connie
+VERSION=${VERSION:-0.4.3rc9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No support for CFLAGS, use upstream's
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# SSE isn't autodetected
+SSE=${SSE:-yes}
+
+# QT is left disabled by default because it's experimental. It works,
+# but is basically useless.
+QT=${QT:-no}
+
+if [ "$SSE" = "yes" ]; then
+ TARGET=${PRGNAM}_sse
+else
+ TARGET=${PRGNAM}_i386
+fi
+
+# clean up the Makefile, enable jack session support.
+# There are a couple of scary-looking compile warnings, but the program
+# seems to run fine, so I won't try to fix them.
+sed -i \
+ -e 's,pentium3,native -fPIC ,' \
+ -e '/-ljack/s,$, -lm -lpthread,' \
+ -e '/^# *JACK_SESSION/s,^# *,,' \
+ Makefile qt4/${PRGNAM}_qt4.pro
+
+make $TARGET
+
+# 'make install' is tailored to debian, just do it manually.
+# We won't use upstream's wrapper script, as it causes unexpected
+# behaviour (spawns a new xterm, even if run from an xterm). Instead,
+# the .desktop file runs in a terminal.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+install -s -m0755 $TARGET $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cat $PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop written for this SlackBuild
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# We only install one binary (either i386 or sse), so fix up the man page
+# so it doesn't mention connie_i386 and connie_sse.
+sed -i '/^Two bin/,+4d' $PRGNAM.1
+
+# Build experimental QT4 UI if enabled.
+if [ "$QT" = "yes" ]; then
+ cd qt4
+ [ "$SSE" = "no" ] && sed -i 's,-march.*,-Wall -O3 -fomit-frame-pointer -pipe,' *.pro
+ qmake
+ make
+ install -s -m0755 ${PRGNAM}_qt4 $PKG/usr/bin/${PRGNAM}_qt4
+ cat $CWD/${PRGNAM}_qt4.desktop > $PKG/usr/share/applications/${PRGNAM}_qt4.desktop
+ cd -
+ sed -i \
+ -e '/^\.SH DESC/i.br\n.B connie_qt4 [options]' \
+ -e '/^\.sp/cconnie_qt4 has a GUI, takes the same options as connie, but supports no keyboard commands.' \
+ $PRGNAM.1
+ ln -sf $PRGNAM.1.gz $PKG/usr/man/man1/${PRGNAM}_qt4.1.gz
+fi
+
+gzip -9c $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README TODO LICENSE debian/changelog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+sed -e "s,%SSE%,$SSE," -e "s,%QT%,$QT," $CWD/slack-desc \
+ > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Only add capability stuff if not disabled:
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ cat $CWD/setcap.sh >> $PKG/install/doinst.sh
+ # Only allow execution by audio group
+ chown root:audio $PKG/usr/bin/*
+ chmod 0750 $PKG/usr/bin/*
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/connie/connie.desktop b/audio/connie/connie.desktop
new file mode 100644
index 0000000000..679cb3a362
--- /dev/null
+++ b/audio/connie/connie.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=Connie (Terminal)
+Comment=Drawbar Organ Emulator
+Icon=connie
+Exec=connie
+Terminal=true
+Type=Application
+Categories=AudioVideo;Audio;
diff --git a/audio/connie/connie.info b/audio/connie/connie.info
new file mode 100644
index 0000000000..22c8d75b1f
--- /dev/null
+++ b/audio/connie/connie.info
@@ -0,0 +1,10 @@
+PRGNAM="connie"
+VERSION="0.4.3rc9"
+HOMEPAGE="https://bitbucket.org/horo/connie/wiki/Home"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/connie-0.4.3rc9.tar.gz"
+MD5SUM="955d88ca394cc073c3deb6d16d128674"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit confuse"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/connie/connie_qt4.desktop b/audio/connie/connie_qt4.desktop
new file mode 100644
index 0000000000..829bf5b0a8
--- /dev/null
+++ b/audio/connie/connie_qt4.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=Connie (Qt4)
+Comment=Drawbar Organ Emulator
+Icon=connie
+Exec=connie_qt4
+Terminal=false
+Type=Application
+Categories=AudioVideo;Audio;
diff --git a/audio/connie/doinst.sh b/audio/connie/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/connie/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/connie/setcap.sh b/audio/connie/setcap.sh
new file mode 100644
index 0000000000..2505858770
--- /dev/null
+++ b/audio/connie/setcap.sh
@@ -0,0 +1,2 @@
+[ -x /sbin/setcap ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/connie
+[ -x /sbin/setcap ] && [ -x usr/bin/connie_qt4 ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/connie_qt4
diff --git a/audio/connie/slack-desc b/audio/connie/slack-desc
new file mode 100644
index 0000000000..aa52065c34
--- /dev/null
+++ b/audio/connie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+connie: connie (organ synth for JACK)
+connie:
+connie: connie is a simple simulation of an electronic organ like e.g. Vox
+connie: Continental, with JACK MIDI input and JACK audio output.
+connie:
+connie: Build options: SSE=%SSE% QT=%QT%
+connie:
+connie:
+connie:
+connie:
+connie: